Skip to main content
GET
/
api
/
v1
/
test-cards
cURL
curl --request GET \
  --url https://vpos.payven.com.tr/api/v1/test-cards \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "isSuccess": true,
  "code": "<string>",
  "data": {
    "items": [
      {
        "extraPropertiesDict": {},
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "maskedCardNumber": "<string>",
        "cardNumber": "<string>",
        "cardHolderName": "<string>",
        "expiryMonth": 123,
        "expiryYear": 123,
        "cvv": "<string>",
        "cardSchemaType": "Visa",
        "cardType": "Credit",
        "cardBrand": "Bonus",
        "expectedResult": "Success",
        "customErrorCode": "<string>",
        "customErrorMessage": "<string>",
        "simulatedDelayMs": 123,
        "label": "<string>",
        "isActive": true,
        "created": "2023-11-07T05:31:56Z",
        "lastModified": "2023-11-07T05:31:56Z"
      }
    ],
    "pageNumber": 123,
    "totalPages": 123,
    "totalCount": 123,
    "hasPreviousPage": true,
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.payven.com.tr/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

ExpectedResult
enum<integer>
Available options:
Success,
Declined,
InsufficientFunds,
InvalidCard,
Timeout,
ThreeDSecureRequired,
RandomFailure,
GatewayError
CardSchemaType
enum<integer>
Available options:
Visa,
MasterCard,
Amex,
Troy,
UnionPay,
Proprietary
PageNumber
integer<int32>
PageSize
integer<int32>
IncludeInactive
boolean
SearchTerm
string

Response

OK

message
string | null
isSuccess
boolean
code
string | null
data
object